Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class SoftBevelBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.BevelBorder
                  |
                  +--javax.swing.border.SoftBevelBorder

public class SoftBevelBorder
extends BevelBorder

A class which implements a raised or lowered bevel with softened corners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.BevelBorder
`bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

Constructor Summary
`SoftBevelBorder(int bevelType)` Creates a bevel border with the specified type and whose colors will be derived from the background color of the component passed into the paintBorder method.
`SoftBevelBorder(int bevelType, java.awt.Color highlight, java.awt.Color shadow)` Creates a bevel border with the specified type, highlight and shadow colors.
`SoftBevelBorder(int bevelType, java.awt.Color highlightOuter, java.awt.Color highlightInner, java.awt.Color shadowOuter, java.awt.Color shadowInner)` Creates a bevel border with the specified type, highlight shadow colors.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

Methods inherited from class javax.swing.border.BevelBorder
`getBevelType, getBorderInsets, getHighlightInnerColor, getHighlightOuterColor, getShadowInnerColor, getShadowOuterColor, paintLoweredBevel, paintRaisedBevel`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftBevelBorder

    public SoftBevelBorder(int bevelType)

  Creates a bevel border with the specified type and whose colors will be derived from the background color of the component passed into the paintBorder method.
  Parameters:
    `bevelType` - the type of bevel for the border

### SoftBevelBorder

    public SoftBevelBorder(int bevelType,
                           java.awt.Color highlight,
                           java.awt.Color shadow)

  Creates a bevel border with the specified type, highlight and shadow colors.
  Parameters:
    `bevelType` - the type of bevel for the border
    `highlight` - the color to use for the bevel highlight
    `shadow` - the color to use for the bevel shadow

### SoftBevelBorder

    public SoftBevelBorder(int bevelType,
                           java.awt.Color highlightOuter,
                           java.awt.Color highlightInner,
                           java.awt.Color shadowOuter,
                           java.awt.Color shadowInner)

  Creates a bevel border with the specified type, highlight shadow colors.
  Parameters:
    `bevelType` - the type of bevel for the border
    `highlightOuter` - the color to use for the bevel outer highlight
    `highlightInner` - the color to use for the bevel inner highlight
    `shadowOuter` - the color to use for the bevel outer shadow
    `shadowInner` - the color to use for the bevel inner shadow

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border
  Overrides:
    paintBorder in class BevelBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class BevelBorder

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    isBorderOpaque in class BevelBorder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.